package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.service.presenter.QueryConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.query.chinatex.ChinatexQueryPresenter;

/** 
 * @author  作者 李扬: 
 * @date 创建时间：2017-5-4 下午4:29:30 
 * @version 1.0 
 * @parameter 
 * @since  
 * @return  
 */
public class QueryConfigCreateTools {
	
	public QueryConstact.Presenter createQueryPresenter(int handsetVersionMode, Context context,
			QueryConstact.View qView, Intent intent) {
		QueryConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			//云天化图片版
			break;
		case HandsetVersionConstant.HANDSET_CHINATEX_VERSION_MODE:
			//中纺
			presenter = new ChinatexQueryPresenter(context, qView);  
			break;
		}
		return presenter;
	}
}
